$(function () {
    if ($('select[Local="local"]').val() != "--归属地--") {
        $('a[id="alink"]').attr("href", "RepRegist.ashx?signal=0&startime=" + $('input[star="star"]').val() + "&endtime=" + $('input[end="end"]').val() + "&arg=" + $('select[Local="local"]').val());
    }
    if ($('select[BaStaId="bastaid"]').val() != "--基站编号--") {
        $('a[id="alink"]').attr("href", "RepRegist.ashx?signal=1&startime=" + $('input[star="star"]').val() + "&endtime=" + $('input[end="end"]').val() + "&arg=" + $('select[BaStaId="bastaid"]').val());
    }
    $('input[time="time"]').focus(function () {
        if ($(this).val() == "请选择时间") {
            $(this).val("");
            $(this).attr("style", "color:Black");
        }
        WdatePicker({ isShowClear: false, readOnly: true, dateFmt: "yyyy-MM-dd " });
    }).blur(function () {
        if ($(this).val().length <= 0) {
            $(this).val("请选择时间");
            $(this).attr("style", "color:Gray");
        }
    });
    $("select").change(function () {
        if ($(this).val() == "--归属地--" || $(this).val() == "--基站编号--") {
            $(this).siblings().attr("disabled", "");
        }
        else {
            $(this).siblings().attr("disabled", "disabled");
        }
    });
    if ($('input[star="star"]').val() != "请选择时间" && $('input[end="end"]').val() != "请选择时间") {
        $('a[id="a1"]').attr("href", "SummaryByMoney.aspx?startime=" + $('input[star="star"]').val() + "&endtime=" + $('input[end="end"]').val());
    }
});